Package org.botblock.javabotblockapi

## Class BotBlockAPI

- java.lang.Object
- - org.botblock.javabotblockapi.BotBlockAPI

-     public class BotBlockAPI
      extends Object

  Class used to define the auth-tokens used for the different sites.
  The instance of this class will be used in the `PostAction` class.

  Use the `BotBlockAPI.Builder` class for easy creation.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `BotBlockAPI.Builder` | Builder class to create an instance of `BotBlockAPI`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `DEFAULT_DELAY` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BotBlockAPI​(Map<String,​String> tokens)` | Deprecated. This constructor will no longer be accessible in future versions.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Map<String,​String>` | `getTokens()` |
    `int` | `getUpdateDelay()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_DELAY

          public static final int DEFAULT_DELAY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### BotBlockAPI

          @Deprecated
          @DeprecatedSince(version="5.2.0")
          @PlannedRemoval(version="5.2.3")
          public BotBlockAPI​(@Nonnull
                             Map<String,​String> tokens)

      Deprecated.
      This constructor will no longer be accessible in future versions.
      Use the `Builder` instead!
      Constructor to set the Map with the sites and tokens.
      Parameters:
        `tokens` - A not null Map of sites and their tokens.
        You may receive the API-token from your bot list.
      Throws:
        `NullPointerException` - When the provided Map is empty.

  - ### Method Detail

    - #### getTokens

          public Map<String,​String> getTokens()

    - #### getUpdateDelay

          public int getUpdateDelay()